Additional NICs do not populate NIC/Interface information tables
Description

We have been adding secondary NICs to our hosts (for now all VMs). When we rerun puppet, we see that NIC information
populated in the facts. We see a new object show up in interfaces/NICs, with the correct interface name. However, there is no other
information about the NIC. We would expect to see the MAC, IPV4/6 info, etc. Instead it shows as a new object, with the correct
identifier name, however there is no other information displayed about the interface. | also noticed that the interfaces in foreman will
show as VirtualE1000, even though in ESX they are set to VMXNETS.

History

#1 - 05/14/2018 02:30 PM - Jeff Sparrow

Fact values on host showing the networking information:
Here is the esx configuration showing it is VMXNET3 vs. what Foreman is reporting:
Here is the networking config from the server:

@Windows IP Configuration

Host Name . o o o
Primary Dns Suffix
Node Type . . . . .

IP Routing Enabled.
WINS Proxy Enabled.
DNS Suffix Search List.

Ethernet adapter q9ud4mxy:

Connection-specific DNS Suffix

Description .
Physical Address.
DHCP Enabled.

Autoconfiguration Enabled .

IPv6 Address. P
Link-local IPv6 Address .
IPv4 Address.

Subnet Mask .

Lease Obtained.

Lease Expires .

Default Gateway .

DHCP Server .
DHCPv6 IAID . .
DHCPv6 Client DUID.
DNS Servers .

NetBIOS over Tcpip.

Ethernet adapter Ethernet1:

05/20/2024

shared69187i-2b

: Hybrid

: No

: No
lab.beer.town
beer.town

lab.beer.town

: vmxnet3 Ethernet Adapter
00-50-56-98-56-8D

: Yes

: Yes
fc00:ac:1612:0:913f:cfc8:90a8:316d (Preferred)
fe80::913f:cfc8:90a8:316d%3 (Preferred)
100.90.18.23 (Preferred)

: 255.255.255.0

: Monday, May 14, 2018 6:06:44 AM

: Tuesday, May 15, 2018 6:06:44 AM
fe80::eab7:48ff:fe01:f6c4%3
100.90.18.1
100.88.0.122
50352214
00-01-00-01-22-83-EB-56-00-50-56-98-56-8D
100.88.0.141
100.88.0.142

: Enabled
Connection-specific DNS Suffix

Description 5
Physical Address.

DHCP Enabled. o o
Autoconfiguration Enabled
IPv6 Address. o o o
Link-local IPv6 Address
IPv4 Address.

Subnet Mask

Lease Obtained.

Lease Expires

Default Gateway

DHCP Server
DHCPv6 IAID o
DHCPv6 Client DUID.

DNS Servers

NetBIOS over Tcpip.

05/20/2024

lab.beer.town

vmxnet3 Ethernet Adapter #2
00-50-56-98-71-F7

Yes

Yes
fc00:2:1612:0:85£3:404:4cda:8723 (Preferred)
fe80::85£3:404:4cda:8723%8 (Preferred)
10.22.18.130 (Preferred)

255.255.255.0

Monday, May 14, 2018 6:24:00 AM

Tuesday, May 15, 2018 6:24:00 AM
fe80::eab7:48ff:fe01:£6d3%8

10.22.18.1

100.88.0.122

134238294
00-01-00-01-22-83-EB-56-00-50-56-98-56-8D
100.88.0.141

100.88.0.142

Enabled@

22


http://www.tcpdf.org

